
Redmine - Defect #2322

Lost password 'email' filed is case-sensitive

2008-12-12 02:34 - James Robertson

Status: Closed Start date: 2008-12-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.1

Description

The 'email' field of the lost password page (account/lost_password) is case-sensitive. However, email addresses are generally

treated as case-insensitive.

Thus if an for email for a Redmine user is stored as John.Doe@example.com, but John Doe types john.doe@example.com into the

'email' filed of the Lost password page, he is told "Unknown user."

Associated revisions

Revision 2122 - 2008-12-12 13:07 - Jean-Philippe Lang

Makes User.find_by_mail case-insensitive (password reminder #2322, repo users mapping).

History

#1 - 2008-12-12 13:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fixed in r2122.

#2 - 2008-12-15 03:59 - James Robertson

Wow, that was speedy. Thanks :-)
